| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | List of all members
cv::viz::WImageOverlay Class Reference
3D Visualizer » Widget

This 2D Widget represents an image overlay. : More...

`#include <opencv2/viz/widgets.hpp>`

Inheritance diagram for cv::viz::WImageOverlay:

## Public Member Functions
| WImageOverlay (InputArray image, const Rect &rect)
| Constructs an WImageOverlay. More...
void | setImage (InputArray image)
| Sets the image content of the widget. More...
Public Member Functions inherited from cv::viz::Widget2D
| Widget2D ()
void | setColor (const Color &color)
| Sets the color of the widget. More...
Public Member Functions inherited from cv::viz::Widget
| Widget ()
| Widget (const Widget &other)
| ~Widget ()
template<typename _W >
_W | cast ()
| Casts a widget to another. More...
template<>
Widget2D | cast ()
| Utility exports. More...
template<>
Widget3D | cast ()
template<>
WLine | cast ()
template<>
WPlane | cast ()
template<>
WSphere | cast ()
template<>
WCylinder | cast ()
template<>
WArrow | cast ()
template<>
WCircle | cast ()
template<>
WCone | cast ()
template<>
WCube | cast ()
template<>
WCoordinateSystem | cast ()
template<>
WPolyLine | cast ()
template<>
WGrid | cast ()
template<>
WText3D | cast ()
template<>
WText | cast ()
template<>
WImageOverlay | cast ()
template<>
WImage3D | cast ()
template<>
WCameraPosition | cast ()
template<>
WTrajectory | cast ()
template<>
WTrajectoryFrustums | cast ()
template<>
WTrajectorySpheres | cast ()
template<>
WCloud | cast ()
template<>
WPaintedCloud | cast ()
template<>
WCloudCollection | cast ()
template<>
WCloudNormals | cast ()
template<>
WMesh | cast ()
template<>
WWidgetMerger | cast ()
double | getRenderingProperty (int property) const
| Returns rendering property of the widget. More...
Widget & | operator= (const Widget &other)
void | setRenderingProperty (int property, double value)
| Sets rendering property of the widget. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::viz::Widget
static Widget | fromPlyFile (const String &file_name)
| Creates a widget from ply file. More...

## Detailed Description

This 2D Widget represents an image overlay. :

## Constructor & Destructor Documentation

## § WImageOverlay()

cv::viz::WImageOverlay::WImageOverlay | ( | InputArray | image,
|  | const Rect & | rect
| ) |  |

Constructs an WImageOverlay.

Parameters

  image | BGR or Gray-Scale image.
  rect | Image is scaled and positioned based on rect.

## Member Function Documentation

## § setImage()

void cv::viz::WImageOverlay::setImage | ( | InputArray | image | ) |

Sets the image content of the widget.

Parameters

  image | BGR or Gray-Scale image.

The documentation for this class was generated from the following file:

- opencv2/viz/widgets.hpp